.docker-build:
  stage: build
  image: docker:20.10.16
  services:
  - name: docker:20.10.16-dind
    alias: docker-dind

  variables:
    DOCKER_HOST: tcp://docker-dind:2375
    DOCKER_TLS_CERTDIR: ""

  before_script:
    - while ! nc -z docker-dind 2375; do sleep 0.1; done
    - docker login -u "$AZURE_REGISTRY_USER" -p "$AZURE_REGISTRY_PASSWORD" jacobpg.azurecr.io
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker pull $DOCKER_IMAGE_FULL_NAME || true
    - docker build --cache-from=$DOCKER_MAIN_IMAGE_FULL_NAME --pull -f $DOCKERFILE_PATH -t $DOCKER_IMAGE_FULL_NAME .
    - docker push $DOCKER_IMAGE_FULL_NAME

stages:
  - xfce
  - miniconda

Build xfce:
  stage: xfce
  extends: .docker-build
  variables:
    DOCKERFILE_PATH: Dockerfile.xfce
    DOCKER_IMAGE_FULL_NAME: jacobpg.azurecr.io/xfce

Build miniconda:
  stage: miniconda
  extends: .docker-build
  variables:
    DOCKERFILE_PATH: Dockerfile.miniconda
    DOCKER_IMAGE_FULL_NAME: jacobpg.azurecr.io/miniconda

Build carla:
  stage: miniconda
  extends: .docker-build
  variables:
    DOCKERFILE_PATH: Dockerfile.carla
    DOCKER_IMAGE_FULL_NAME: jacobpg.azurecr.io/carla
